List completed message classifications
curl --request GET \
--url https://api-v2.watchcollect.com/v2/classifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/classifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"classification_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
],
"legacy_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"normalized_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"completed_at_ms": 123,
"created_at_ms": 123,
"extraction_output": {},
"raw_model_response": {},
"connector_id": "openai",
"model_profile_id": "<string>",
"model_id": "<string>",
"schema_mode": "json_schema",
"prompt_bundle_version": "<string>",
"latency_ms": 123,
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}classifications
List completed message classifications
GET
/
v2
/
classifications
List completed message classifications
curl --request GET \
--url https://api-v2.watchcollect.com/v2/classifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/classifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"classification_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
],
"legacy_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"normalized_output": {
"message_type": "buying",
"watches": [
{
"brand": "<string>",
"model": "<string>",
"reference": "<string>",
"year": "<string>",
"price_amount": 123,
"currency_code": "<string>",
"expected_price_usd": 123,
"condition": "NEW",
"full_set_status": [
"WATCH"
],
"variant": "<string>",
"dial_type": "<string>"
}
]
},
"completed_at_ms": 123,
"created_at_ms": 123,
"extraction_output": {},
"raw_model_response": {},
"connector_id": "openai",
"model_profile_id": "<string>",
"model_id": "<string>",
"schema_mode": "json_schema",
"prompt_bundle_version": "<string>",
"latency_ms": 123,
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
selling, buying, personal, unknown Required range:
1 <= x <= 200